Feature # 284 (Closed): Rethink the definition of the GTime class

Add GTimeReference class

12/16/2012 09:18 PM - Knödlseder Jürgen

Status: Closed Start date: 07/07/2012

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 8.00 hours

Target version: 00-07-00   

Description

History

#1 - 12/16/2012 09:26 PM - Knödlseder Jürgen

The GTimeReference class should implement a time reference system.

m_mjdref      Reference MJD (days).

m_timeunit    Time unit ("s", "d", "sec(s)", "day(s)").

m_timesys     Time system

m_timeref     Time reference

#2 - 12/17/2012 11:16 AM - Knödlseder Jürgen

- Status changed from New to In Progress

#3 - 12/17/2012 10:51 PM - Knödlseder Jürgen

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

- Remaining (hours) changed from 8.0 to 0.0

A time reference class GTimeReference has been created.

This class mainly manages the time reference parameters, which for the moment are 4:

The reference Modified Julian Day (MJD)

The time unit (seconds or days)

The time system (TT or UTC)

The time reference (LOCAL)

So far, the time system and reference are not yet used by the GTime class. No checking is performed on the possible values by GTimeReference so

far.

The class also provides read() and write() methods to read and write the time reference from a FITS HDU header. The format is OGIP compliant.

There is also a constructor that allows creating a reference from a FITS HDU header.
#4 - 12/20/2012 11:30 PM - Knödlseder Jürgen

- Status changed from Feedback to Closed
